video
from0.0666 / s
Kling 2.6
Kling 2.6 Pro Image to Video generates short videos from a single image URL using a text prompt to guide the transformation. Users can customize video duration, aspect ratio, sound inclusion, and CFG scale to control creativity and output style.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "kling-video/v2.6/pro/image-to-video", { input: { "sound": "on", "prompt": "A cinematic scene at sunset", "duration": 5, "cfg_scale": 0.5, "image_url": "https://example.com/input.jpg" }, withPolling: true, },); console.log(result);Calling the API
Use kling-video/v2.6/pro/image-to-video with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "kling-video/v2.6/pro/image-to-video", { input: { "sound": "on", "prompt": "A cinematic scene at sunset", "duration": 5, "cfg_scale": 0.5, "image_url": "https://example.com/input.jpg" }, withPolling: true, },); console.log(result);Request parameters
promptstring · required
Write your prompt here
{
"type": "string",
"title": "Prompt",
"description": "Write your prompt here"
}image_urlstring · required
Image URL
{
"type": "string",
"title": "Image URL",
"format": "uri"
}durationinteger · optional
Duration
Options: 5, 10
Default: 5
{
"enum": [
5,
10
],
"type": "integer",
"title": "Duration",
"default": 5
}aspect_ratiostring · optional
Aspect ratio
Options: 16:9, 9:16, 1:1
{
"enum": [
"16:9",
"9:16",
"1:1"
],
"type": "string",
"title": "Aspect ratio"
}cfg_scalenumber · optional
CFG Scale
Default: 0.5
{
"type": "number",
"title": "CFG Scale",
"default": 0.5,
"maximum": 1,
"minimum": 0,
"multipleOf": 0.01
}soundstring · optional
Generate sound
Options: on, off
Default: "on"
{
"enum": [
"on",
"off"
],
"type": "string",
"title": "Generate sound",
"default": "on"
}Price
Standard self-serve rates in USD per video second: 1080p: $0.0666. Total price = selected rate × output duration in seconds.
View all pricing